Subject: spurious fail of git merge after rebasing

From: "D. A. van Delft" <[email-masked]>
Date: Sat, 16 Apr 2011 00:45:12 +0200

Hi,

not sure if this is the right place, but I couldn't find a 
bugzilla or something for git.

Point is, I have found a scenario where sometimes git fails on 
a specific merge.
Each time I start with the same identical git repository 
(archived once and restored each time before a run) and run 
the same fixed series of rebases and merges on it. Once in a 
while it fails with a merge conflict, sometimes at first try, 
sometimes after 10+ times. I have a canned set of testcases 
which reproduces this behaviour. I have also narrowed it down 
somewhat on how to work around, or prevent it from occurring. 

However, given that it doesn't always fail or succeed, is 
unexpected.

regards,
Danny A. van Delft